function  Figure1_NIPS

load P

n=5;
k=8;

if mod(n,2)==0
    n1=n/2;
else
    n1=(n+1)/2;
end

if mod(k,2)==0
    k1=k/2;
else
    k1=(k+1)/2;
end


target=[0.9961,1.0126];
M=zeros(n,2);
P_initial=P;

for i=1:n
    M(i,:)=L1median(P(:,:,i));
end

M1=E1_change(M,target);

for i=1:n1;
    P(:,:,i)=E1_change(P(:,:,i),M1(i,:));
end

for i=1:n1
    M(i,:)=L1median(P(:,:,i));
end

M2=zeros(n,2);
for i=1:n
    M2(i,:)=L1median(P_initial(:,:,i));
end

target0=L1median(M2);

hold off
scatter(P(1:k1,1,1),P(1:k1,2,1),'o','b','filled');

hold on
axis([-12.5,17,-11,27]);
scatter(P_initial(1:k1,1,1),P_initial(1:k1,2,1),'o','k');
scatter(P(k1+1:k,1,1),P(k1+1:k,2,1),'o','k','filled');
scatter(M(1,1),M(1,2),'o','g','filled');
scatter(M2(1,1),M2(1,2),'o','r','filled');
h=quiver(M2(1,1),M2(1,2),M(1,1)-M2(1,1),M(1,2)-M2(1,2),0.99,'g');

for i=1:k1
    h=quiver(P_initial(i,1,1),P_initial(i,2,1),P(i,1,1)-P_initial(i,1,1),P(i,2,1)-P_initial(i,2,1),0.99,'b');
end

scatter(P(1:k1,1,2),P(1:k1,2,2),'^','b','filled');
scatter(P_initial(1:k1,1,2),P_initial(1:k1,2,2),'^','k');

scatter(P(k1+1:k,1,2),P(k1+1:k,2,2),'^','k','filled');
scatter(M(2,1),M(2,2),'^','g','filled');
scatter(M2(2,1),M2(2,2),'^','r','filled');
h=quiver(M2(2,1),M2(2,2),M(2,1)-M2(2,1),M(2,2)-M2(2,2),0.99,'g');
set(h,'maxheadsize',1.2);
for i=1:k1
    h=quiver(P_initial(i,1,2),P_initial(i,2,2),P(i,1,2)-P_initial(i,1,2),P(i,2,2)-P_initial(i,2,2),0.99,'b');
end

scatter(P(1:k1,1,3),P(1:k1,2,3),'s','b','filled');
scatter(P_initial(1:k1,1,3),P_initial(1:k1,2,3),'s','k');
scatter(P(k1+1:k,1,3),P(k1+1:k,2,3),'s','k','filled');
scatter(M(3,1),M(3,2),'s','g','filled');
scatter(M2(3,1),M2(3,2),'s','r','filled');
h=quiver(M2(3,1),M2(3,2),M(3,1)-M2(3,1),M(3,2)-M2(3,2),0.99,'g');
set(h,'maxheadsize',1.2);
for i=1:k1
    h=quiver(P_initial(i,1,3),P_initial(i,2,3),P(i,1,3)-P_initial(i,1,3),P(i,2,3)-P_initial(i,2,3),0.99,'b');
end

scatter(P_initial(1:k,1,4),P_initial(1:k,2,4),'d','k','filled');
scatter(M(4,1),M(4,2),'d','r','filled');

scatter(P_initial(1:k,1,5),P_initial(1:k,2,5),'v','k','filled');
scatter(M(5,1),M(5,2),'v','r','filled');

scatter(target(1),target(2),'*','g');
scatter(target0(1),target0(2),'*','r');
h=quiver(target0(1),target0(2),target(1)-target0(1),target(2)-target0(2),0.99,'g');

h=0.7;
h1=1.4;
x0=-4;
y1=26.7;
scatter(x0,y1,'o','k','filled')
scatter(x0+h,y1,'s','k','filled')
scatter(x0+2*h,y1,'^','k','filled')
scatter(x0+3*h,y1,'v','k','filled')
scatter(x0+4*h,y1,'d','k','filled')
text('Interpreter','latex','String','$$\textrm{The given points that are not changed}$$','Position',[x0+5*h,y1],'FontSize',16)

scatter(x0,y1-h1,'o','k')
scatter(x0+h,y1-h1,'s','k')
scatter(x0+2*h,y1-h1,'^','k')
text('Interpreter','latex','String','$$\textrm{The given points that are changed}$$','Position',[x0+5*h,y1-h1],'FontSize',16)

scatter(x0,y1-2*h1,'o','b','filled')
scatter(x0+h,y1-2*h1,'s','b','filled')
scatter(x0+2*h,y1-2*h1,'^','b','filled')
text('Interpreter','latex','String','$$\textrm{The new locations for those changed points}$$','Position',[x0+5*h,y1-2*h1],'FontSize',16)

scatter(x0,y1-3*h1,'o','r','filled')
scatter(x0+h,y1-3*h1,'s','r','filled')
scatter(x0+2*h,y1-3*h1,'^','r','filled')
scatter(x0+3*h,y1-3*h1,'v','r','filled')
scatter(x0+4*h,y1-3*h1,'d','r','filled')
text('Interpreter','latex','String','$$\textrm{The medians of old subsets}$$','Position',[x0+5*h,y1-3*h1],'FontSize',16)

scatter(x0,y1-4*h1,'o','g','filled')
scatter(x0+h,y1-4*h1,'s','g','filled')
scatter(x0+2*h,y1-4*h1,'^','g','filled')
text('Interpreter','latex','String','$$\textrm{The medians of new subsets}$$','Position',[x0+5*h,y1-4*h1],'FontSize',16)

scatter(x0,y1-5*h1,'*','r')
text('Interpreter','latex','String','$$\textrm{The median of medians for the given points}$$','Position',[x0+5*h,y1-5*h1],'FontSize',16)

scatter(x0,y1-6*h1,'*','g')
text('Interpreter','latex','String','$$\textrm{The target point}$$','Position',[x0+5*h,y1-6*h1],'FontSize',16)





